Subject: Re: bug#26339: [PATCH 04/18] bootloader: Add install procedures and use them.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 15 Apr 2017 19:15:46 +0200

> Is that safe? Will there only be one bootloader configuration at all times? What if the user uses multiple "guix system"s on the same machine?

Well you can have only one bootloader in MBR at a time, so even if you
have multiple system generations with various bootloaders, only one is
installed. But I might be wrong here ...

>> +            dd
>
> Errrr... was that exported on purpose? Sounds very implementation-detaily to me.

Yes you're right, no need to export dd.

> Rather #:bootloader-installer or #:bootloader-installation ?  Or leave it as is, doesn't matter much, I guess.  I think a non-substantive for this is strange.

#:bootloader-installer seems fine, I'll update.

>
>> +                                   #$(bootloader-configuration-install-procedure
>
> If it's not installing a procedure it should be bootloader-configuration-installation-procedure or bootloader-configuration-installer, I think.

Ok for bootloader-configuration-installer then.

> Otherwise LGTM!

Thanks,

Mathieu